Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.server
Class MBeanServerBuilderImpl

    java.lang.Object
      javax.management.MBeanServerBuilder
          org.jboss.mx.server.MBeanServerBuilderImpl

public class MBeanServerBuilderImpl
extends MBeanServerBuilder

The JBossMX implementation of the MBeanServer builder

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock.
See Also:
  `MBeanServer`, `MBeanServerBuilder`, `MBeanServerDelegate`, `MBeanServerFactory`, `MBeanServerImpl`

Constructor Summary
`MBeanServerBuilderImpl()` Construct an MBeanServerBuilder

Method Summary
`MBeanServer` | `newMBeanServer(String defaultDomain, MBeanServer outer, MBeanServerDelegate delegate)` Construct an MBeanServer.
`MBeanServerDelegate` | `newMBeanServerDelegate()` Construct an MBeanServerDelegate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanServerBuilderImpl

    public MBeanServerBuilderImpl()

  Construct an MBeanServerBuilder

Method Detail

### newMBeanServer

    public MBeanServer newMBeanServer(String defaultDomain,
                                      MBeanServer outer,
                                      MBeanServerDelegate delegate)

  Construct an MBeanServer.

  Overrides:
    `newMBeanServer` in class `MBeanServerBuilder`
  Parameters:
    `defaultDomain` - the default domain when an MBean is registered with an ObjectName without a domain.
    `outer` - the wrapping MBeanServer, passed to MBeans at registration.
    `delegate` - the delegate to use for Notifications.

### newMBeanServerDelegate

    public MBeanServerDelegate newMBeanServerDelegate()

  Construct an MBeanServerDelegate.

  Overrides:
    `newMBeanServerDelegate` in class `MBeanServerBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.